# Update webpush campaign
You can update a specific webpush campaign. This endpoint supports partial updates — only the fields you include in the request body will be modified.
PATCH /webpush-campaign/:id/
| Attributes | Type | Required | Description |
|---|---|---|---|
| id | integer | yes | A unique identifier for the campaign which is given by User.com automatically. Passed in the URL path. |
| name | string | no | A Webpush campaign name. |
| eta | string | no | A DateTime when the campaign should be sent. Delivery will start instantly if not provided. |
| ttl | integer | no | The number of seconds that a message may be stored if the user is not immediately available (Time To Live). |
| segment | integer | no | A unique identifier for the user segment which is given by User.com automatically. |
| messages | list | no | A list of objects. Each object is a valid web push message (check out the Webpush Message attributes). Replaces the existing messages when provided. |
| Message attributes | Type | Required | Description |
|---|---|---|---|
| title | string | yes | A title of a web push message. |
| body | string | yes | A content of a web push message. |
| url | string | no | A URL of a web push message. |
| require_interaction | boolean | no | A flag defining if a notification should remain active until the user clicks or dismisses it, rather than closing automatically. |
| doughnut_title | string | no | Action button 1 label. |
| doughnut_url | string | no | Action button 1 URL. |
| coffee_title | string | no | Action button 2 label. |
| coffee_url | string | no | Action button 2 URL. |
| icon | string | no | A URL of image inside a web push message. |
| badge | string | no | A URL of image inside a web push message (known as a Big photo). Only works on Windows. |
# Request
- CURL
- JavaScript
- PHP
- Python
curl -X PATCH \
"https://<your_app_subdomain>.user.com/api/public/webpush-campaign/3/" \
-H "Authorization: Token <your_64_char_api_key>" \
-H "Accept: */*; version=2" \
-H "Content-Type: application/json" \
-d '{
"name": "Updated Campaign Name",
"messages": [
{
"title": "New Push Title",
"body": "Updated notification text.",
"url": "https://yoursite.com/new-page"
}
]
}'
# Response
{
"id": 3,
"name": "Updated Campaign Name",
"category": null,
"eta": null,
"ttl": 259200
}